Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Diagnostics Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## http://www.bea.com/ns/weblogic/90/diagnostics
complexType wldf-watch-notificationType

    {http://www.w3.org/2001/XMLSchema}anyType
      {http://www.bea.com/ns/weblogic/90/diagnostics}wldfType
          {http://www.bea.com/ns/weblogic/90/diagnostics}wldf-watch-notificationType

Model
  `<...>
  name?, enabled?, severity?, log-watch-severity?, watch*, image-notification*, jms-notification*, jmx-notification*, smtp-notification*, snmp-notification*
  </...>`

Prohibited substitutions (block)
  none (extensions and restrictions are allowed)

Usage
  Derived types: none
  Components using this type: none

Documentation

  Configures and controls the WebLogic Diagnostic Framework (WLDF) Watch Notification component; creates and deletes watch definitions; and defines the rules that apply to specific watches.

  MBean: `WLDFWatchNotificationBean`

Nested Element Summary
`string` | `name` optional The name of the WebLogic Diagnostic Framework (WLDF) bean.
`boolean` | `enabled` optional Configures and controls the WebLogic Diagnostic Framework (WLDF) Watch Notification component; creates and deletes watch definitions; and defines the rules that apply to specific watches.
`annonymous type derived from string` | `severity` optional The default notification severity level for all watches.
`annonymous type derived from string` | `log-watch-severity` optional The threshold severity level of log messages evaluated by log watch rules.
`anyType` | `watch` 0...∞ The watches defined in this deployment.
`anyType` | `image-notification` 0...∞ The Image notifications defined in this deployment.
`anyType` | `jms-notification` 0...∞ The JMS notifications defined in this deployment.
`anyType` | `jmx-notification` 0...∞ The JMX notifications defined in this deployment.
`anyType` | `smtp-notification` 0...∞ The SMTP notifications defined in this deployment.
`anyType` | `snmp-notification` 0...∞ The SNMP notifications defined in this deployment.

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Diagnostics Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 9.1